<div>
  <div class="submit-form">
    <div *ngIf="!submitted">
      <form (ngSubmit)="saveRecord()" #myForm="ngForm">
        <div class="form-group">
          <label for="name">Name</label>
          <input
            type="text"
            class="form-control"
            id="name"
            required
            [(ngModel)]="form.name"
            name="name"
          />
        </div>

        <div class="form-group">
          <label for="description">Description</label>
          <input
            class="form-control"
            id="description"
            required
            [(ngModel)]="form.description"
            name="description"
          />
        </div>

        <div class="form-group">
          <label for="file">File</label>
          <input
            type="file"
            class="form-control"
            id="file"
            required
            (change)="onFileSelected($event)"
            name="file"
          />
        </div>

        <div class="form-group">
          <label for="userApplicantId">User ID applicant</label>
          <input
            class="form-control"
            id="userApplicantId"
            type="number"
            min="1"
            pattern="^[0-9]+"
            required
            [(ngModel)]="form.userApplicantId"
            name="userApplicantId"
          />
        </div>

        <button type="submit" class="btn btn-success" [disabled]="!myForm.valid">Enviar</button>
      </form>
    </div>

    <div *ngIf="submitted">
      <h4>Record was submitted successfully!</h4>
      <button class="btn btn-success" (click)="newRecord()">Add</button>
    </div>
  </div>
</div>
